{ pkgs, ... }:

{
  gtk = {
    enable = true;
    theme = {
      name = "Orchis-dark";
      package = pkgs.orchis-theme;
    };
    iconTheme = {
      name = "Adwaita";
      package = pkgs.adwaita-icon-theme;
    };
    cursorTheme = {
      name = "Adwaita";
      package = pkgs.adwaita-icon-theme;
    };
    gtk4.theme = null;
  };

  home.sessionVariables = {
    GTK_THEME = "Adwaita:dark"; # GTK apps dark theme
    MOZ_GTK_THEME = "Adwaita:dark"; # Firefox respects this
    GDK_DARK_THEME = "1"; # GTK4 apps dark mode
    CHROME_FORCE_DARK_MODE = "1"; # Chromium / Chrome dark mode
  };
}
